#include <iostream>
#include <string>
#include <sstream>
#include <fstream>

#include "src/request.hh"
#include "src/session.hh"

int main ()
{
  using namespace Neon;

  std::ofstream o ("file.jpg", std::ios::binary);
  Request r ("futurepast.free.fr", "/fpbanner.jpg");
  o << r; 
  o.close ();

  std::cerr << "File 'file.jpg' written.\n\n";

  Request::ResponseHeaders headers;
  r.get_response_headers (headers);
  for (Request::ResponseHeaders::const_iterator h = headers.begin(), e = headers.end(); h != e; ++h)
  {
    std::cerr << h->first << ": " << h->second << "\n";
  }

  return 0;
}
