#include <iostream>
#include <string>
#include <sstream>
#include <fstream>

#include "src/request.hh"
#include "src/session.hh"

int main ()
{
  using namespace Neon;

  Request request ("futurepast.free.fr");
  request.handle_redirect ();

  std::cerr << request << "\n\n";

  Request::ResponseHeaders headers;
  request.get_response_headers (headers);
  for (Request::ResponseHeaders::const_iterator h = headers.begin(), e = headers.end(); h != e; ++h)
  {
    std::cerr << h->first << ": " << h->second << "\n";
  }

  request.clear ();
  return 0;
}
